RepaintManager
Date: 2019-10-22

org.jmol.render

## Class RepaintManager

- java.lang.Object
- - org.jmol.render.RepaintManager

- All Implemented Interfaces:
    JmolRepaintManager

      public class RepaintManager
      extends java.lang.Object
      implements JmolRepaintManager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javajs.util.BS` | `bsTranslucent`
    `int` | `holdRepaint`
    `private ShapeRenderer[]` | `renderers`
    `private boolean` | `repaintPending`
    `private ShapeManager` | `shapeManager`
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepaintManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear(int iShape)`
    `private void` | `getAllRenderers()`
    `private ShapeRenderer` | `getRenderer(int shapeID)`
    `boolean` | `isRepaintPending()`
    `void` | `popHoldRepaint(boolean andRepaint, java.lang.String why)`
    `void` | `pushHoldRepaint(java.lang.String why)`
    `void` | `render(GData gdata, ModelSet modelSet, boolean isFirstPass, int[] navMinMax)`
    `java.lang.String` | `renderExport(GData gdata, ModelSet modelSet, java.util.Map<java.lang.String,java.lang.Object> params)`
    `void` | `repaintDone()`
    `boolean` | `repaintIfReady(java.lang.String why)`
    `private void` | `repaintNow(java.lang.String why)`
    `void` | `requestRepaintAndWait(java.lang.String why)`
    `void` | `set(Viewer vwr, ShapeManager shapeManager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vwr

          private Viewer vwr

    - #### shapeManager

          private ShapeManager shapeManager

    - #### renderers

          private ShapeRenderer[] renderers

    - #### bsTranslucent

          private final javajs.util.BS bsTranslucent

    - #### holdRepaint

          public int holdRepaint

    - #### repaintPending

          private boolean repaintPending

  - ### Constructor Detail

    - #### RepaintManager

          public RepaintManager()

  - ### Method Detail

    - #### set

          public void set(Viewer vwr,
                          ShapeManager shapeManager)

      Specified by:
        `set` in interface `JmolRepaintManager`

    - #### isRepaintPending

          public boolean isRepaintPending()

      Specified by:
        `isRepaintPending` in interface `JmolRepaintManager`

    - #### pushHoldRepaint

          public void pushHoldRepaint(java.lang.String why)

      Specified by:
        `pushHoldRepaint` in interface `JmolRepaintManager`

    - #### popHoldRepaint

          public void popHoldRepaint(boolean andRepaint,
                                     java.lang.String why)

      Specified by:
        `popHoldRepaint` in interface `JmolRepaintManager`

    - #### requestRepaintAndWait

          public void requestRepaintAndWait(java.lang.String why)

      Specified by:
        `requestRepaintAndWait` in interface `JmolRepaintManager`

    - #### repaintIfReady

          public boolean repaintIfReady(java.lang.String why)

      Specified by:
        `repaintIfReady` in interface `JmolRepaintManager`

    - #### repaintNow

          private void repaintNow(java.lang.String why)

      Parameters:
        `why` -

    - #### repaintDone

          public void repaintDone()

      Specified by:
        `repaintDone` in interface `JmolRepaintManager`

    - #### clear

          public void clear(int iShape)

      Specified by:
        `clear` in interface `JmolRepaintManager`

    - #### getRenderer

          private ShapeRenderer getRenderer(int shapeID)

    - #### render

          public void render(GData gdata,
                             ModelSet modelSet,
                             boolean isFirstPass,
                             int[] navMinMax)

      Specified by:
        `render` in interface `JmolRepaintManager`

    - #### getAllRenderers

          private void getAllRenderers()

    - #### renderExport

          public java.lang.String renderExport(GData gdata,
                                               ModelSet modelSet,
                                               java.util.Map<java.lang.String,java.lang.Object> params)

      Specified by:
        `renderExport` in interface `JmolRepaintManager`